classdef appendstruct_test < genlib_test
  % tests for genlib
  %
  % [+GenLib General Purpose Library+] Swiss Plasma Center EPFL Lausanne 2022. All rights reserved.
  methods(Test)
    function testAppendstruct(testCase)
      S1 = struct('a',2);
      S2 = struct('b','bb');
      Sa = appendstruct(S1,S2);
      Scheck = struct('a',2,'b','bb');
      testCase.verifyTrue(structcmp(Sa,Scheck));
    end
  end

end
